Subject: FVWM: Netscape snarfing Meta

From: "Michael Smith" <[email-masked]>
Date: Fri, 07 Apr 2000 18:15:37 -0400

J. Q. Newbie here, I've been searching the archives of this list, but to no
avail.  I'm hoping someone out there has had this happen before, and knows a
fix.

I have a crazy penchant for remapping my keyboard to put control in the proper
place, as well as to provide Super/Hyper keys for xemacs and fvwm2 key shortcuts
(the relevant portions of my .xmodmaprc and .fvwm2rc are listed below). 
Everything is working fine, I'm switching between desktops using vi directional
commands, Xterms are starting up with a quick S-x, etc, but when I launch
Netscape (version below), and go to a page which executes any sort of
javascript, Netscape grabs control of my Meta key.  I can no longer switch
between windows with M-Tab, and my Super and Hyper keys no longer work.  I've
tried exiting Netscape, running .xmodmaprc from the command line, and restarting
fvwm2, but nothing works except to completely log out of my X session. 

Has anyone ever seen this before?  Is there a work around?  

Thanks in advance, 
Mike Smith

---- Version/rc File info ----
.xmodmaprc:

clear mod1
clear mod3
clear mod4

keycode  37 = Super_L
keycode  64 = Alt_L Meta_L
keycode  94 = Hyper_L
keycode 113 = Alt_R Meta_R

add mod1    = Alt_L Alt_R
add mod3    = Hyper_L
add mod4    = Super_L

.fvwm2rc:

Key Tab   A    M    Next [CurrentPage !iconic] focus-and-raise
Key Tab   A    MS   Prev [CurrentPage !iconic] focus-and-raise
Key Tab   A    CM   Next [CurrentPage] deiconify-and-focus
Key Tab   A    CMS  Prev [CurrentPage] deiconify-and-focus
Key H     A    4    Scroll -100 +0
Key K     A    4    Scroll +0 -100
Key L     A    4    Scroll +100 +0
Key J     A    4    Scroll +0 +100
Key M     A    3    Maximize 100 100
Key X     A    4 Exec exec xterm -bg black -fg white -sl 5000   
Key N     A    4 Exec exec /usr/lib/netscape/47/communicator/communicator-smotif

My current platform:
my box:
Linux dyadis 2.2.14 #10 Thu Feb 17 03:40:59 EST 2000 i586 unknown

Netscape Communicator, version:
Netscape 4.7/Export, 15-Sep-99; (c) 1995-1998 Netscape Communications Corp.

xmodmap version:
$XConsortium: xmodmap,v 1.24 94/04/17 20:24:24

fvwm version:
Fvwm Version 2.2.4 compiled on Jan 19 2000 at 00:53:30

--------------------------------------
Organize, communicate, and publish for FREE!
Get Bungo...  your personal headquarters on the Web.
http://www.bungo.com
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].